#### D.15.4.2 diffAlgebraStructure

Procedure from library `difform.lib` (see difform_lib).

Usage:
  diffAlgebraStructure();

Return:
  the structure of the differential algebra

Remarks:
  The differential algebra is constructed as non-commutative ring with additional variables Dx_1,...,Dx_n and 'exterior' relations between them. In the case, that the basering is a quotient ring, the defining ideal and its image under the universal derivation are added as relations.

Note:
  the monomial ordering of the basering is preserved in the differential algebra

See also: diffAlgebra; diffAlgebraGens; diffAlgebraUnivDerIdeal.

User manual for Singular version 4.4.1, 2025, generated by texi2html.